JSONParser (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json.parser
[Java] Class JSONParser

    java.lang.Object
      org.codehaus.groovy.grails.web.json.parser.JSONParser

All Implemented Interfaces:
  JsonParserConstants

    @java.lang.SuppressWarnings("all")
    public final class JSONParser
    extends java.lang.Object

Field Summary
`Token` | `jj_nt`
`Token` | `token` Next token.
`JsonParserTokenManager` | `token_source` Generated Token Manager.

Constructor Summary
`JSONParser(java.io.InputStream stream)` Constructor with InputStream.
`JSONParser(java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
`JSONParser(java.io.Reader stream)` Constructor.
`JSONParser(JsonParserTokenManager tm)` Constructor with generated Token Manager.

Method Summary
`void` | `ReInit(java.io.InputStream stream)` Reinitialise.
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
`void` | `ReInit(java.io.Reader stream)` Reinitialise.
`void` | `ReInit(JsonParserTokenManager tm)` Reinitialise.
`void` | `disable_tracing()` Disable tracing.
`void` | `enable_tracing()` Enable tracing.
`ParseException` | `generateParseException()`
`Token` | `getNextToken()` Get the next Token.
`Token` | `getToken(int index)` Get the specific Token.
`java.lang.Object` | `parse()`
`JSONElement` | `parseJSON()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### jj_nt

    public Token jj_nt

### token

    public Token token

  Next token.

### token_source

    public JsonParserTokenManager token_source

  Generated Token Manager.

Constructor Detail

### JSONParser

    public JSONParser(java.io.InputStream stream)

  Constructor with InputStream.

### JSONParser

    public JSONParser(java.io.InputStream stream, java.lang.String encoding)

  Constructor with InputStream and supplied encoding

### JSONParser

    public JSONParser(java.io.Reader stream)

  Constructor.

### JSONParser

    public JSONParser(JsonParserTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### ReInit

    public void ReInit(java.io.InputStream stream)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream stream, java.lang.String encoding)

  Reinitialise.

### ReInit

    public void ReInit(java.io.Reader stream)

  Reinitialise.

### ReInit

    public void ReInit(JsonParserTokenManager tm)

  Reinitialise.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### generateParseException

    public ParseException generateParseException()

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### parse

    public final java.lang.Object parse()

### parseJSON

    public final JSONElement parseJSON()

Groovy Documentation